use storages::traits::OwnerRepository;

use crate::storages::traits::{CarRepository, CarStationRepository, ClientRepository, RentRepository};

pub mod endpoints;
pub mod models;
pub mod storages;

pub struct State {
    pub car_repository: Box<dyn CarRepository + Send>,
    pub car_station_repository: Box<dyn CarStationRepository + Send>,
    pub client_repository: Box<dyn ClientRepository + Send>,
    pub owner_repository: Box<dyn OwnerRepository + Send>,
    pub rent_repository: Box<dyn RentRepository + Send>
}